{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    {% if( poEntité.iidActigroupe is defined) %}
        <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidActigroupe }}</div>
    {% else %}
        <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;"></div>
    {% endif %}

    <div id="CodeTable" style="display:none;">GAB</div>
    <div id="NomEntité" style="display:none;">actiGroupesacti</div>
{% endblock %}

{% block formulaire %}

{# LG 20200813 début : pour que lors de l'ajout, PHP puisse savoir qu'il s'agit d'un GAB #}
    <input type="hidden" id="inputNomEntité" name="NomEntité" value="actiGroupesacti">
{# LG 20200813 fin #}
<div class="LesChamps">
    
    <div class=" d-flex justify-content-start flex-wrap ">
    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-start">
        {{ form_label(poForm.cnom, "Nom", {'label_attr': {'class': 'col-sm-1 m-1 control-label'}}) }}
        <div class="col-sm-8 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.cnom, {'attr': {'class': 'form-control'}}) }}
        </div>
    </div>
    </div>

    <div class=" d-flex justify-content-start flex-wrap " style="margin-left: 20px;">
    <div class="form-group custom-checkbox custom-control col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-start">
        {{ form_widget(poForm.ldansbilan, {'attr': {'class': 'form-control custom-control-input'}}) }}
        {{ form_label(poForm.ldansbilan, "Inclus dans le bilan", {'label_attr': {'class': 'col-sm-4 m-1 control-label custom-control-label'}}) }}
    </div>
    </div>

    <div class=" d-flex justify-content-start flex-wrap ">
    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-start">
        {{ form_label(poForm.ietablissement, "Etablissement", {'label_attr': {'class': 'col-sm-3 m-1 control-label'}}) }}
        <div class="col-sm-6 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.ietablissement, {'attr': {'class': 'form-control'}}) }}
        </div>
    </div>
    </div>

    <div id="fourreTout" style="display:none;">
        <div class="form-group">
            {{ form_label(poForm.nconcetab, "Début", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
            <div class="col-sm-10">
                {{ form_widget(poForm.nconcetab, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>

        <div class="form-group">
            {{ form_label(poForm.nconcinterv, "Fin", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
            <div class="col-sm-10">
                {{ form_widget(poForm.nconcinterv, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>

        <div class="form-group">
            {{ form_label(poForm.nconcusag, "Fin", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
            <div class="col-sm-10">
                {{ form_widget(poForm.nconcusag, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>

        <div class="form-group">
            {{ form_label(poForm.nconcgroup, "Fin", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
            <div class="col-sm-10">
                {{ form_widget(poForm.nconcgroup, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>

        <div class="form-group">
            {{ form_label(poForm.nconcsalle, "Fin", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
            <div class="col-sm-10">
                {{ form_widget(poForm.nconcsalle, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    </div>

        <div class=" d-flex justify-content-start flex-wrap ">
    {% if poForm.icouleur is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-start">
            {{ form_label(poForm.icouleur, "Couleur", {'label_attr': {'class': 'col-sm-2 m-1 control-label'}}) }}
            <div class="col-sm-1 d-flex justify-content-center align-items-center">
                {% if( poForm.vars.value.icouleur is defined) %}
                    <input type="Hidden" class="form-control" name="fEntityForm_actissgroupesacti[icouleur]" id="fEntityForm_actissgroupesacti_icouleur" value="{{ poForm.vars.value.icouleur }}" data-role="cboCouleur"/>
                {% else %}
                    <input type="Hidden" class="form-control" name="fEntityForm_actissgroupesacti[icouleur]" id="fEntityForm_actissgroupesacti_icouleur" value="16777215" data-role="cboCouleur"/>
                {% endif %}
                {% do poForm.icouleur.setRendered %}
            </div>
        </div>
    </div>
</div>
    {% endif %}

    <script>
        $(document).ready(function () {
            if (document.getElementById("fEntityForm_actigroupesacti_IdentifiantEntité").textContent < 0) {
                $("#fEntityForm_actigroupesacti_cnom, #fEntityForm_actigroupesacti_ietablissement").prop("disabled", true);
                $('#bSupprimer_actiBaseSousGroupeGroupe').attr("disabled", true);
            } else {
                $('#bSupprimer_actiBaseSousGroupeGroupe').attr("disabled", false);
            }

            // Gestion de la cboCouleurs
            $("[data-role=cboCouleur]").cboCouleur();
        });
    </script>
{% endblock %}